<html>
  <head>
    <title>Car Sold</title>

    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./CSS/style.css" />
    <script src="./JavaScript/register.js"></script>
  </head>
  <body>
    <div class="titleSell">
      <img
        class="logoImage"
        src="./Assets/logo.PNG"
        alt="user image"
        id="logo"
      />

      <div class="titleLogin">
        <h1 id="¨titulo¨">Car Sold</h1>
      </div>
      <div class="titleUser">
        <div class="user">
          <img
            class="userImage"
            src="./Assets/user.png"
            alt="user image"
            id="userImage"
          />
          <h4 id="userLogedIn" class="userLogedIn">Usuario</h4>
        </div>
        <div class="titleUser">
          <button class="userButton" id="logInButton" onclick="redirectLogin()">
            Log In
          </button>
        </div>
      </div>
    </div>

    <div class="topnav">
      <a href="index.html">Ver vehículos a la venta</a>
      <a href="sell.html">Vende tu vehículo </a>
      <a href="login.html">Log-In</a>
      <a href="profile.html">Perfil</a>
    </div>

    <h4 class="header-main">Registrarse</h4>
    <label class="logedIn" id="logedIn"></label>

    <div class="form">
      <form name="form">
        <label for="name">Nombre:</label>
        <input type="text" id="name" name:"name" size="20" maxlength="30"
        required="true">
        <div></div>
        <label for="name">Apellidos:</label>
        <input type="text" id="surname" name:"surname" size="20" maxlength="30"
        required="true">
        <div></div>
        <label for="userName">Nombre de usuario:</label>
        <input type="text" id="username" name:"username" size="20"
        maxlength="30" required="true">
        <div></div>
        <label for="password">Contraseña:</label>
        <input type="password" id="password" name:"password" size="20"
        maxlength="30" required="true">
        <div></div>
        <label for="role">Rol:</label>
        <select id="role" name="role" required="true">
          <option value="Usuario">Usuario</option>
          <option value="Administrador">Administrador</option>
          <option value="Desarrollador">Desarrollador</option>
        </select>
        <div></div>
        <label for="birthDate">Fecha nacimiento:</label>
        <input type="date" id="birthDate" name:"birthDate" size="20"
        maxlength="30" required="true">
        <div></div>
        <label for="email">Email:</label>
        <input type="text" id="email" name:"email" size="20" maxlength="30"
        required="true">
        <div></div>
        <input type="button" id="register" value="Crear usuario" />
        <div id="resgisterResponse" class="text"></div>
      </form>
    </div>

    <div class="containerColumns">
      <div class="columns">
        <h6 class="header">Horario</h6>
        <p class="textColumns">Lunes a Sábado: 9:00-18:00</p>
        <div>
          <label for="cookies" class="textColumns"
            >Por favor, pulsa el siguiente boton si aceptas nuestras
            cookies</label
          >
          <input type="button" id="cookies" value="Acepto" />
        </div>
      </div>

      <div class="columns">
        <h6 class="header">Contacto</h6>
        <div class="textColumns">
          <p>E-mail: info@carsold.es</p>
          <p>Telefono: 087534340</p>
        </div>
      </div>

      <div class="columns">
        <h6 class="header">Dirección</h6>
        <div class="textColumns">
          <p>CarSold España</p>
          <p>C/Lago azul, 20, 32071 Madrid</p>
        </div>
      </div>
    </div>
  </body>
</html>
